import { Routes } from '@angular/router';
import {IndexComponent} from "./pages/body/index/index.component";
import {InitGuardService} from "./utils/initGuard.service";
import {Error404Component} from "./pages/error/error404/error404.component";
export const routes: Routes = [
  {path: '', pathMatch: 'full', redirectTo: 'admin/index'},
  {
    path: 'login',
    loadChildren: () => import('./pages/login/login.routes').then(m => m.LOGIN_ROUTES)
  },
  {
    path: 'index',
    loadChildren: () => import('./pages/login/login.routes').then(m => m.LOGIN_ROUTES)
  },
  {
    path: 'admin', component: IndexComponent,
    children: [
      {
        path: 'index',
        loadChildren: () => import('./pages/index/index.routes').then(m => m.INDEX_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'account',
        loadChildren: () => import('./pages/account/account.routes').then(m => m.ACCOUNT_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'merchant',
        loadChildren: () => import('./pages/merchant/merchant.routes').then(m => m.MERCHANT_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'discount',
        loadChildren: () => import('./pages/discount/discount.routes').then(m => m.DISCOUNT_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'agent',
        loadChildren: () => import('./pages/agent/agent.routes').then(m => m.AGENT_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'trade',
        loadChildren: () => import('./pages/trade/trade.routes').then(m => m.TRADE_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'spread',
        loadChildren: () => import('./pages/spread/spread.routes').then(m => m.SPREAD_ROUTES),
        canActivate: [InitGuardService]
      },
      {
        path: 'system',
        loadChildren: () => import('./pages/system/system.routes').then(m => m.SYSTEM_ROUTES),
        canActivate: [InitGuardService]
      },
      ]
  },
  {
    path: 'error',
    loadChildren: () => import('./pages/error/error.routes').then(m => m.ERROR_ROUTES),
  },
  {
    path: '**', component: Error404Component
  },
];
