import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentApiService {

  constructor(private http: HttpClient) { }

  /**
   * 分配代理商
   * @param param
   * @param callBack
   */
  public getAccount(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentApiAccount/getAccount?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 充值
   * @param param
   * @param callBack
   */
  public recharge(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentApiAccount/recharge', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询记录列表
   * @param param
   * @param callBack
   */
  public getRecordList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentApiAccount/getRecordList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询API参数
   * @param param
   * @param callBack
   */
  public getApiParam(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentApiParam/getApiParam?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 修改API参数
   * @param param
   * @param callBack
   */
  public updateApiParam(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentApiParam/update',param).subscribe(data => {
      callBack(data);
    });
  }


}
