import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentService {

  constructor(private http: HttpClient) { }

  /**
   * 创建代理商
   * @param param
   * @param callBack
   */
  public createAgent(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agent/createAgent', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 修改代理商
   * @param param
   * @param callBack
   */
  public updateAgent(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agent/updateAgent', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询代理商详情
   * @param param
   * @param callBack
   */
  public queryAgentDetail(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agent/queryAgentDetail?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询代理商列表
   * @param param
   * @param callBack
   */
  public queryAgentList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agent/queryAgentList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 禁用
   * @param param
   * @param callBack
   */
  public disable(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agent/disable', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 启用
   * @param param
   * @param callBack
   */
  public enable(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agent/enable', param).subscribe(data => {
      callBack(data);
    });
  }
}
