import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class CmsService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑
   * @param params
   * @param callBack
   */
  public edit(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'cms/edit',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 上线
   * @param params
   * @param callBack
   */
  public online(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'cms/online',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 下线
   * @param params
   * @param callBack
   */
  public offline(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'cms/offline',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除
   * @param params
   * @param callBack
   */
  public delete(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'cms/delete',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public queryList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'cms/queryList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
