import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class DiscountPkService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑优惠
   * @param params
   * @param callBack
   */
  public edit(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/edit', params).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 上线优惠券包
   * @param params
   * @param callBack
   */
  public online(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/online', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 结束优惠券包
   * @param params
   * @param callBack
   */
  public done(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/done', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除
   * @param params
   * @param callBack
   */
  public delete(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/delete', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 赠送用户
   * @param params
   * @param callBack
   */
  public giveUser(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/giveUser', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询详情
   * @param params
   * @param callBack
   */
  public getDetail(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountPk/getDetail?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountPk/getList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

}
