import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class DiscountStockService {

  constructor(private http: HttpClient) { }

  /**
   * 增加优惠券库存
   * @param params
   * @param callBack
   */
  public addStock(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountStock/addStock', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询库存批次
   * @param params
   * @param callBack
   */
  public queryStockBatchList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountStock/queryStockBatchList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 查询库存批次详情
   * @param params
   * @param callBack
   */
  public queryStockBatchDetail(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountStock/queryStockBatchDetail?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询库存批次优惠券code
   * @param params
   * @param callBack
   */
  public queryStockBatchCodeList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountStock/queryStockBatchCodeList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

}
