import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OilChannelWeekService {

  constructor(private http: HttpClient) { }

  /**
   * 修改价格
   * @param params
   * @param callBack
   */
  public updatePrice(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasChannelPriceWeek/updatePrice', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询价格
   * @param params
   * @param callBack
   */
  public getPriceList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasChannelPriceWeek/getPriceList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
